List tokens by IDs
Returns the requested tokens data.
GET
/
nfts
/
tokens
TypeScript
const response: Promise<FireblocksResponse<GetNFTsResponse>> = fireblocks.nFTs.getNFTs(nFTsApiGetNFTsRequest);CompletableFuture<ApiResponse<GetNFTsResponse>> response = fireblocks.nFTs().getNFTs(ids, pageCursor, pageSize, sort, order);response = fireblocks.n_f_ts.get_n_f_ts(ids, page_cursor, page_size, sort, order);curl --request GET \
--url https://api.fireblocks.io/v1/nfts/tokensconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/nfts/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paging": {
"next": "<string>"
},
"data": [
{
"id": "<string>",
"tokenId": "<string>",
"standard": "<string>",
"metadataURI": "<string>",
"cachedMetadataURI": "<string>",
"media": [
{
"url": "<string>"
}
],
"spam": {
"result": true
},
"collection": {
"id": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"description": "<string>",
"name": "<string>"
}
]
}Query Parameters
A comma separated list of NFT IDs. Up to 100 are allowed in a single request.
Page cursor to fetch
Items per page (max 100)
Required range:
1 <= x <= 100Sort by param, it can be one param or a list of params separated by comma
Available options:
collection.name, name, blockchainDescriptor Order direction, it can be ASC for ascending or DESC for descending
Available options:
DESC, ASC Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetNFTsResponse>> = fireblocks.nFTs.getNFTs(nFTsApiGetNFTsRequest);CompletableFuture<ApiResponse<GetNFTsResponse>> response = fireblocks.nFTs().getNFTs(ids, pageCursor, pageSize, sort, order);response = fireblocks.n_f_ts.get_n_f_ts(ids, page_cursor, page_size, sort, order);